Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CipherModeFinalTemplate_ExternalCipher< BASE > Class Template Reference

_ More...

`#include <modes.h>`

Inheritance diagram for CipherModeFinalTemplate_ExternalCipher< BASE >:

List of all members.

## Public Member Functions

| CipherModeFinalTemplate_ExternalCipher (BlockCipher &cipher)
| CipherModeFinalTemplate_ExternalCipher (BlockCipher &cipher, const byte *iv, int feedbackSize=0)
std::string | AlgorithmName () const

## Detailed Description

### template<class BASE>
class CipherModeFinalTemplate_ExternalCipher< BASE >

_

Definition at line 278 of file modes.h.

The documentation for this class was generated from the following file:

- modes.h